@echo off
title %INSTALLER_TITLE%

echo %HORIZON%
echo @%TDENC_NAME%  installer
echo %HORIZON%
echo;

call ..\setting\default_setting.bat
call tool_url.bat

echo ^>^>%INSTALLER_ANNOUNCE%
echo;
echo ^>^>%PAUSE_MESSAGE2%
pause>nul
echo;

.\7z.exe e -bd -y %AVS_PATH% "avisynth.dll"
.\7z.exe e -bd -y %DSS_PATH% "DirectShowSource.dll"
.\7z.exe e -bd -y %DIL_PATH% "DevIL.dll"
.\7z.exe e -bd -y %FSS_PATH% "ffms-%FFS_VER%\ffms2.dll" "ffms-%FFS_VER%\ffmsindex.exe"
.\7z.exe e -bd -y %QTS_PATH% "QTSource.dll"
.\7z.exe e -bd -y %MIF_PATH% "MediaInfo.exe" "MediaInfo.dll"
.\7z.exe e -bd -y %YDF_PATH% "yadif.dll"
.\7z.exe e -bd -y %WVI_PATH% "silence.exe" "wavi.exe"
.\7z.exe e -bd -y %NERO_PATH% "win32\neroAacEnc.exe"
.\7z.exe e -bd -y %A2A_PATH% "avs2avi\Release\avs2avi.exe"
.\7z.exe e -bd -y %FFM_PATH% "ffmpeg-0.8-win32-static\bin\ffmpeg.exe"
.\7z.exe e -bd -y %JWP_PATH% "mediaplayer-*\player.swf" "mediaplayer-*\jwplayer.js"
.\7z.exe e -bd -y %LIC_PATH% "bin\libiconv2.dll"
.\7z.exe e -bd -y %LIN_PATH% "bin\libintl3.dll"
.\7z.exe e -bd -y %PCRE_PATH% "bin\pcre3.dll"
.\7z.exe e -bd -y %QAE_PATH% "qtaacenc-%QAE_VER%\qtaacenc.exe"
.\7z.exe e -bd -y %REG_PATH% "bin\regex2.dll"
.\7z.exe e -bd -y %SED_PATH% "bin\sed.exe"
.\7z.exe e -bd -y %SORT_PATH% "bin\sort.exe"

echo;
copy /y %X264_PATH% ".\x264.exe"

if exist update_new.bat (
  move  update_new.bat update.bat 1>nul 2>&1
)

:x264_new_option_check
set X264_NEWCONF=n
set /a XC_OLDSIZE=288
for %%i in (..\setting\x264_common.bat) do set /a XC_SIZE=%%~zi
if %X264_NEWCONF%=="y" (
  if not "%XC_SIZE%"=="%XC_OLDSIZE%" ( 
    move ..\setting\x264_common.bat ..\setting\x264_common_old.bat
    move ..\setting\x264_common_new.bat ..\setting\x264_common.bat
  )
)
if exist "..\setting\x264_common_new.bat" del ..\setting\x264_common_new.bat

set /a PSETX_OLDSIZE=413
for %%i in (..\setting\x\high.bat) do set /a PSETX_SIZE=%%~zi
if %X264_NEWCONF%=="y" (
  if not "%PSETX_SIZE%"=="%PSETX_OLDSIZE%" ( 
    move ..\setting\x\high.bat ..\setting\x\high_old.bat
    move ..\setting\x\high_new.bat ..\setting\x\high.bat
  )
)
if exist "..\setting\x\high_new.bat" del ..\setting\x\high_new.bat

set /a C_MIVER=%C_VERSION:~-2%
if %C_MIVER% LEQ 17 (
cd %TEMP_DIR%
     ..\..\sed.exe -i -e "s/^set THIS_VERSION=[0-9]\{,2\}/set USER_VERSION=%THIS_VERSION%/" "..\..\..\setting\user_setting.bat"
     ..\..\sed.exe -i -e "s/295)/420)/" "..\..\..\setting\user_setting.bat"
     ..\..\sed.exe -i -e "s/^set E_TARGET_BITRATE=[0-9]\{,3\}/set E_TARGET_BITRATE=420/" "..\..\..\setting\user_setting.bat"
     ..\..\sed.exe -i -e "s/^set E_MAX_BITRATE=[0-9]\{,3\}/set E_MAX_BITRATE=445/" "..\..\..\setting\user_setting.bat"
   cd ..\..
)

:file_exist_check
if not exist Avisynth.dll  echo Avisynth.dll is missing
if not exist DirectShowSource.dll  echo DirectShowSource.dll is missing
if not exist DevIL.dll echo DevIL.dll is missing
if not exist ffms2.dll echo ffms2.dll is missing
if not exist ffmsindex.exe echo ffmsindex.exe is missing
if not exist MediaInfo.exe echo MediaInfo.exe is missing
if not exist MediaInfo.dll echo MediaInfo.exe is missing
if not exist yadif.dll echo yadif.dll is missing
if not exist silence.exe echo silence.exe is missing
if not exist neroAacEnc.exe echo neroAacEnc.exe is missing
if not exist x264.exe echo x264.exe is missing
if not exist avs2avi.exe  echo avs2avi.exe is missing
if not exist ffmpeg.exe  echo ffmpeg.exe is missing
if not exist player.swf  echo player.swf is missing
if not exist libiconv2.dll  echo libiconv2.dll is missing
if not exist libintl3.dll  echo libintl3.dll is missing
if not exist pcre3.dll  echo pcre3.dll is missing
if not exist regex2.dll  echo regex2.dll is missing
if not exist qtaacenc.exe  echo qtaacenc.exe is missing
if not exist sed.exe echo sed.exe is missing
if not exist sort.exe echo sort.exe is missing
.\x264.exe --version>"%TEMP_DIR%\x264_version.txt" 2>nul
findstr /i "%X264_VERSION%" "%TEMP_DIR%\x264_version.txt">nul 2>&1
if "%ERRORLEVEL%"=="1" echo x264.exe is missing

echo;
echo ^>^>%INSTALLER_END%
echo ^>^>%PAUSE_MESSAGE2%
pause>nul
exit
